## LassoSamlp2LogoutRequest LassoSamlp2LogoutRequest — <samlp2:LogoutRequest> |

## Functions

LassoNode * | lasso_samlp2_logout_request_new ()
GList * | lasso_samlp2_logout_request_get_session_indexes ()
void | lasso_samlp2_logout_request_set_session_indexes ()

## Types and Values

struct | LassoSamlp2LogoutRequest

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlp2RequestAbstract
                ╰── LassoSamlp2LogoutRequest

## Description

Figure 77. Schema fragment for samlp2:LogoutRequest

    <complexType name="LogoutRequestType">
      <complexContent>
        <extension base="samlp:RequestAbstractType">
          <sequence>
            <choice>
              <element ref="saml:BaseID"/>
              <element ref="saml:NameID"/>
              <element ref="saml:EncryptedID"/>
            </choice>
            <element ref="samlp:SessionIndex" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute name="Reason" type="string" use="optional"/>
          <attribute name="NotOnOrAfter" type="dateTime" use="optional"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_logout_request_new ()

    LassoNode *
    lasso_samlp2_logout_request_new (void);

Creates a new LassoSamlp2LogoutRequest object.

#### Returns

a newly created LassoSamlp2LogoutRequest object

### lasso_samlp2_logout_request_get_session_indexes ()

    GList *
    lasso_samlp2_logout_request_get_session_indexes
                                   (LassoSamlp2LogoutRequest *logout_request);

If the logout request contains more than one SessionIndex element, this method must be used to retrieve due to historical circonstances. It will a return a list of the content of the SessionIndex elements.

#### Parameters

logout_request | a LogoutRequest object |

#### Returns

a GList of sessions index.

[element-type utf8][transfer full]

### lasso_samlp2_logout_request_set_session_indexes ()

    void
    lasso_samlp2_logout_request_set_session_indexes
                                   (LassoSamlp2LogoutRequest *logout_request,
                                    GList *session_index);

If you want to set more than one SessionIndex on a LogoutRequest, use this method. Beware that the public field named SessionIndex corresponds to the last element in this list. This is an symptom of the way elements are parsed by Lasso.

#### Parameters

logout_request | a LogoutRequest object |
session_index | a list of session index. | [element-type utf8]

## Types and Values

### struct LassoSamlp2LogoutRequest

    struct LassoSamlp2LogoutRequest {
    	/* elements */
    	LassoSaml2BaseIDAbstract *BaseID;
    	LassoSaml2NameID *NameID;
    	LassoSaml2EncryptedElement *EncryptedID;
    	char *SessionIndex;
    	/* attributes */
    	char *Reason;
    	char *NotOnOrAfter;

    	/* This field is deprecated do not use it,
    	 * kept for ABI compatibility */
    };